import Vue from 'vue'
import App from './App'
import uView from '@/common/uview-ui/index';
import store from "./store";
Vue.prototype.$store = store;

import http from "./common/api/api.js"
import $http from '@/common/request/requestConfig';

Vue.config.productionTip = false
import ActiveForm from "@/common/active-form/active-form";
import scrollList from "@/common/scroll-list/scroll-list";
Vue.use(uView);
Vue.prototype.http = http
Vue.prototype.$http = $http

// 订阅消息模板id
Vue.prototype.nc_templateid = '59-hfHg3CnDvgVEnjqxiHRFwpABehc5lZxHQeUctlrg'
App.mpType = 'app'
Vue.component('ActiveForm', ActiveForm)
Vue.component('scrollList', scrollList)
const app = new Vue({
    ...App
})
app.$mount()
